Package org.eclipse.zest.cloudio.util

# Class SmallRect

java.lang.Object
org.eclipse.zest.cloudio.util.SmallRect

public class SmallRect extends Object
A custom variation of a `Rectangle`, which stores the required values as short instead of int, thus saving some space.

## Constructor Summary

Constructors
Constructor
Description
`SmallRect(int x, int y, int width, int height)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`int`
`hashCode()`
`boolean`
`intersects(int x, int y, int width, int height)`
`boolean`
`intersects(SmallRect rect)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SmallRect

public SmallRect(int x, int y, int width, int height)

## Method Details

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### intersects

public boolean intersects(SmallRect rect)

### intersects

public boolean intersects(int x, int y, int width, int height)

### toString

public String toString()

Overrides:
  `toString` in class `Object`